function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "react";
import { StyledSvg } from "../StyledSvg";
export function GitPullRequest(props) {
  return React.createElement(StyledSvg, _extends({
    xmlns: "http://www.w3.org/2000/svg",
    viewBox: "0 0 24 24",
    fill: "none",
    stroke: "currentColor",
    strokeWidth: 2,
    strokeLinecap: "round",
    strokeLinejoin: "round",
    className: "prefix__feather prefix__feather-git-pull-request"
  }, props), React.createElement("circle", {
    cx: 18,
    cy: 18,
    r: 3
  }), React.createElement("circle", {
    cx: 6,
    cy: 6,
    r: 3
  }), React.createElement("path", {
    d: "M13 6h3a2 2 0 012 2v7M6 9v12"
  }));
}