function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import styled, { css } from 'styled-components';
const fillCss = css(["fill:", ";"], props => props.htmlColor || props.themeColor && props.theme.colors[props.themeColor] || 'currentColor');
const strokeCss = css(["stroke:", ";"], props => props.htmlColor || props.themeColor && props.theme.colors[props.themeColor] || 'currentColor');
const colorCss = css(["", " ", " g{fill:inherit;stroke:inherit;}*:not([stroke]){&[fill='none']{stroke-width:0;}}*[stroke*='#'],*[STROKE*='#']{stroke:inherit;fill:none;}*[fill-rule],*[FILL-RULE],*[fill*='#'],*[FILL*='#']{fill:inherit;stroke:none;}"], props => props.enableFill && fillCss, props => !props.removeStroke && strokeCss);
const StyledSvg = styled(({
  a11yLabel,
  themeColor,
  htmlColor,
  useDefaultColors,
  size,
  removeFill,
  removeStroke,
  ...rest
}) => React.createElement("svg", _extends({
  role: "img",
  "aria-label": a11yLabel
}, rest))).withConfig({
  displayName: "StyledSvg",
  componentId: "j14gh4-0"
})(["display:inline-block;width:", ";height:", ";", ""], props => props.size && `${props.size}px` || '24px', props => props.size && `${props.size}px` || '24px', ({
  useDefaultColors
}) => !useDefaultColors && colorCss);
StyledSvg.displayName = 'Icon';
export { StyledSvg };